<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Page composant
 */
include_spip('inc/composant/classAdminComposant');

function composants_gauche($c) {
	return acs_vue('acsBox', [
		'titre' => _T('acs:composant'),
		'titre2' => '<img src="' . _DIR_PLUGIN_ACS . '/images/info.png" alt="&#9432;" />',
		'contenu' => $c->gauche(),
		'class' => '',
		'style' => '',
		'icon' => $c->icon
	]);
}

function composants($c) {
	if (!$c->exists) {
		return acs_alert_box(ucfirst($c->class) . ' ' . _T('acs:not_found'));
	}
	include_spip('inc/composant/composants_liste');
	$cl = composants_liste();
	if ($cl[$c->class]['over']) {
		$over = '<img src="' . _DIR_PLUGIN_ACS . 'images/over.gif" alt="over" title="' . _T('ecrire:icone_squelette') . ' ' . acs_get('ACS_OVER') . '" />';
	}
	$nom = $c->t('nom');
	if ($nom == 'nom') {
		$nom = ucfirst(str_replace('_', ' ', $c->class));
	}

	// Si le composant est instanciable, on affiche de quoi gérer l'instanciation
	if ($c->instanciable) {
		$instances = '<td>' . instance_create($c) . '</td><td>' . instance_select($c) . '</td>';
	}
	else {
		$instances = '';
	}

	// Affichage de la box de gestion du composant
	$h = $c->help();
	if ($h) {
		$box_title = '<label class="acsLabel" title="' . str_replace('"', '&quot;', $c->help()) . '">' .
			ucfirst($nom) . ' ' . $c->nic . '</label>';
	} else {
		$box_title = ucfirst($nom) . ' ' . $c->nic;
	}
	return acs_vue('acsBox', [
		'titre' => '<table width="100%"><tr><td width="99%">' . $box_title . '</td>' .
			$instances .
			'<td>' . $over  . '</td>' .
			'</tr></table>',
		'titre2' => false,
		'contenu' => '<form id="acs" name="acs" action="?exec=acs&onglet=composants&composant=' . $c->class . '" method="post">' .
			$c->edit() .
			'<hr /><div style="text-align:' . $GLOBALS['spip_lang_right'] . ';">' .
			'<input type="submit" class="fondo" name="' . _T('bouton_valider') . '" value="' . _T('bouton_valider') . '">' .
			'</div>' .
			'</form>' . (count($c->errors) ? '<div class="alert">' . implode('<br />', $c->errors) . '</div>' : ''),
		'class' => '',
		'style' => '',
		'icon' => $c->icon
	]);
}

function composants_droite($c) {
	return liste_widgets();
}

function instance_select($c) {
	$instances = composant_instances($c->class);
	if (is_array($instances) && count($instances) > 1) {
		$vp = 'acs' . ucfirst($c->class);
		$r = '<select name="nic" onchange=submit()>';
		foreach ($instances as $id) {
			$v = $vp . $id . 'Nom';
			$title = acs_get($v) ? ' title="' . acs_get($v) . '"' : '';
			$r .= '<option value="' . $id . '"' . ($id == $c->nic ? ' selected' : '') . $title . '>' . $id . '</option>';
		}
		$r .= '</select>';
		$r .= "<input type='hidden' name='exec' value='acs' />" .
		'<input type="hidden" name="composant" value="' . $c->class . '" />' .
		'<input type="hidden" name="onglet" value="composants" />';
		$r = '<td><form action="">' . $r . '<noscript></td><td><input type="submit" value="' . _T('bouton_valider') . '"></noscript></form></td>';
		$r .= '<td>' . instance_delete($c) . '</td>';
	}
	return $r;
}

function instance_create($c) {
	return '<form action="" id="form_instance_create" onSubmit="return instance_create(\'' .
		$c->nextInstance() .
		'\');"></td><td><noscript><input type="text" name="nic" size="4" maxlength="4" /></td><td></noscript><input type="image" src="' .
		_DIR_PLUGIN_ACS .
		'images/composant-creer.gif" title="' .
		_T('acs:creer_composant') . '" />
		<input type="hidden" name="exec" value="acs" />
		<input type="hidden" name="onglet" value="composants" />
		<input type="hidden" name="composant" value="' . $c->class . '" />
		</form>';
}

function instance_delete($c) {
	$msg = str_replace("'", "\'", _T('acs:del_composant_confirm', ['c' => $c->class, 'nic' => $c->nic]));
	return '<form action="" onSubmit="return instance_delete(\'' . $msg . '\');"><input type="image" src="' . _DIR_PLUGIN_ACS . 'images/composant-del.gif" title="' . _T('acs:del_composant') . '" />
		<input type="hidden" name="exec" value="acs" />
		<input type="hidden" name="onglet" value="composants" />
		<input type="hidden" name="composant" value="' . $c->class . '" />
		<input type="hidden" name="nic" value="' . $c->nic . '" />
		<input type="hidden" name="del_composant" value="delete" />
		</form>';
}
